Show Ad Insertion Creative
Returns creative metadata (title, advertiser, media details) for a single creative ID. Requires the Advanced Analytics add-on.
curl -X GET "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/creatives/example_string" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/creatives/example_string"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/creatives/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/creatives/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/creatives/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"crid": "creative-abc123",
"mediaUrl": "https://cdn.5centscdn.com/ad-manager-uploads/abc123.mp4",
"adSystem": "Google Ad Manager",
"adTitle": "Summer Promo 2026",
"advertiser": "Acme Corp",
"category": "3",
"creativeId": "crv_9a71",
"adId": "ad_4c19",
"adIdVast": "20026",
"universalAdId": "8465-abc123",
"mediaWidth": 1920,
"mediaHeight": 1080,
"mediaBitrate": 4000000,
"durationS": 30
}
GET
/zones/vod/push/{zoneid}/adinsertion/creatives/{crid}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
path
cridstring
RequiredCreative ID (VAST/VMAP <Creative id>).
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
cridstring
RequiredCreative ID (VAST/VMAP \<Creative id\>).
Responses
resultstring
Allowed values:
successerrorcridstring
mediaUrlstring
adSystemstring
adTitlestring
advertiserstring
categorystring
creativeIdstring
adIdstring
adIdVaststring
universalAdIdstring
mediaWidthinteger
mediaHeightinteger
mediaBitrateinteger
durationSnumber
Was this page helpful?